export var defaultCharacterWidth = '1ch';
export var numberSchema = /^(-)?\d+(\.\d+)?$/;
export var excludingNumberSchema = /[^-.\d]/g;
export var getPreciseValue = function getPreciseValue(value, precision) {
    var innerValue = String(value);
    if (precision !== undefined) {
        var factor = Math.pow(10, precision);
        var preparedValue = Number(innerValue) < 0 ? Number(innerValue) - Number.EPSILON : Number(innerValue) + Number.EPSILON;
        return String(Math.round(preparedValue * factor) / factor);
    }
    return innerValue;
};
